package de.siphalor.was.visual;

import de.siphalor.was.WhatAStorage;
import de.siphalor.was.content.product.Product;
import de.siphalor.was.content.quest.Quest;
import de.siphalor.was.game.Transaction;

public interface Visual {
	void setup(WhatAStorage whatAStorage);
	void run();
	void onScheduleStop();

	void invalidateI18n();

	void onBalanceChanged(int budget, Transaction transaction, int totalIncome, int totalLoss);

	void onQuestAdded(Quest newQuest, boolean canCreateMore);
	void onQuestRemoved(int index);

	void onProductSet(int x, int y, int z, Product product);

	void onProductCleared(int x, int y, int z, Product product);
}
